package com.inspect.guideline.service;

import com.inspect.guideline.domain.PatrolGuideline;

import java.util.List;

public interface IPatrolGuidelineService {
    PatrolGuideline selectPatrolGuidelineByGuidelineId(Long lineId);

    List<PatrolGuideline> selectPatrolGuidelineList(PatrolGuideline guideline);

    int insertPatrolGuideline(PatrolGuideline guideline);

    int updatePatrolGuideline(PatrolGuideline guideline);

    int deletePatrolGuidelineByGuidelineIds(Long[] lineIds);

    int deletePatrolGuidelineByGuidelineId(Long lineId);
}
